package objects;

import objects.tasks.Task;
import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Entity;
import org.mongodb.morphia.annotations.Id;

@Entity("solutions")
public class Solution
{
    @Id
    private ObjectId id;
    private Task task;
    private Team team;

    public Solution(Team team, Task task)
    {
        this.team = team;
        this.task = task;
    }

    public Solution()
    {
    }

    public void setTeam(Team team)
    {
        this.team = team;
    }

    public Task getTask()
    {
        return task;
    }

    public void setTask(Task task)
    {
        this.task = task;
    }

    public Team getTeam()
    {
        return team;
    }
}
